Name: hyphen-es
Summary: Spanish hyphenation rules
Version: 2.5
Release: %mkrel 4
URL: https://github.com/sbosio/rla-es
Source: https://github.com/sbosio/rla-es/archive/v%{version}.tar.gz
Group: Text tools
License: GPLv3+
BuildArch: noarch
Requires: hyphen
Requires: locales-es

%description
Spanish hyphenation rules.

%prep
%setup -q -n rla-es-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/hyphen
cp -p separacion/hyph_es_ANY.dic %{buildroot}%{_datadir}/hyphen

pushd %{buildroot}%{_datadir}/hyphen/
es_ES_aliases="es_AR es_BO es_CL es_CO es_CR es_CU es_DO es_EC es_ES es_GT es_HN es_MX es_NI es_PA es_PE es_PR es_PY es_SV es_US es_UY es_VE"

for lang in $es_ES_aliases; do
        ln -s hyph_es_ANY.dic hyph_$lang.dic
done
popd

%files
%doc README.md
%license LICENSE.md
%{_datadir}/hyphen/hyph_es_*.dic


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.5-4.mga10
+ Revision: 2205677
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.5-3.mga9
+ Revision: 1812085
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 2.5-2.mga8
+ Revision: 1537781
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 zezinho <zezinho> 2.5-1.mga8
+ Revision: 1459040
- new upstream project

* Tue Sep 18 2018 umeabot <umeabot> 0.20040810-8.mga7
+ Revision: 1262949
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 0.20040810-7.mga6
+ Revision: 941433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20040810-6.mga5
+ Revision: 748558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20040810-5.mga5
+ Revision: 680352
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20040810-4.mga4
+ Revision: 522978
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 tv <tv> 0.20040810-3.mga3
+ Revision: 406157
- requires locales-hyphen-es (mga#9540)

* Sat Jan 12 2013 umeabot <umeabot> 0.20040810-2.mga3
+ Revision: 353874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 0.20040810-1.mga1
+ Revision: 70001
- fix a file permissions
- fix group
- imported package hyphen-es


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040810-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040810-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20040810-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2008 Caolan McNamara <caolanm@redhat.com> - 0.20040810-1
- initial version
